POST https://api.staging.deliverect.com /{channelName}/updateRating https://api.staging.deliverect.com

Order Rating Update

Your generic channel integration can use this endpoint to update rating for previously placed order. Note that, when sending rating update, Deliverect will check whether the party sending the order has the correct scope to do so. If not, they are considered unauthorized. The scope for generic channels is communicated to integrating parties, and is checked in the request target URL only. Therefore, make sure this URL correctly contains the scope. As a payload we always expect a JSON that contains: * Channel order id (channelOrderId) * Date(UTC) when order was placed in ISO 8601 format (orderDate) * Id of the channel link (channelLinkId) * Array of rating objects (rating) * Subject of the rating. See allowed values in Rating Subjects table (subject) * Rating value from 0 to 10 (rating) * [Optional] Comment for the rating (comment) * [Optional] Reason for negative rating. See allowed values in Rating Reasons table (reason) #### Rating Subjects | Subject | Integer value | | - | - | | Restaurant | 1 | | Delivery | 2 | #### Rating reasons | Reason | Integer value | | - | - | | Item missing | 1 | | Order issue | 2 | | Order is wrong | 3 | | Food isn't fresh | 4 | | Food is cold | 5 | | Box was opened | 6 | | Delivery late | 7 | | Delivery issue | 8 | | Rude staff | 9 | | No issues | 10000 |

Authentication:  Bearer auth (http)

Path parameters

  • string Required

Request Headers

  • string

Body

  • string Required
  • string Required
  • string Required
  • array Required
POST /{channelName}/updateRating
Loading...

Share your request

Use this link to easily share a pre-filled request of this operation. Everything you filled will be shared apart from the authentication fields.

Request URL

https://docs.deliverect.com/doc/channel-api/explorer/operation/operation-post-parameter-updaterating

Send a delete request

It looks like you’re about to send a DELETE request to this API. This type of request carries a risk of permanent and irreversible data loss.

Are you sure you want to continue?
Response
Waiting for a request to be sent.